classification
Title: WWW-Authenticate qop="auth,auth-int" rejected by urllib
Type: behavior Stage: resolved
Components: Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: PypeBros, miss-islington, orsenthil
Priority: normal Keywords: patch

Created on 2019-11-04 15:27 by PypeBros, last changed 2019-11-22 23:41 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17045 merged PypeBros, 2019-11-04 15:34
PR 17357 merged miss-islington, 2019-11-22 23:19
PR 17358 merged miss-islington, 2019-11-22 23:19
Messages (4)
msg355952 - (view) Author: PypeBros (PypeBros) * Date: 2019-11-04 15:27
in urllib/request.py, 
   when trying to use HTTP Digest Authentication 
   with a server that replies with `WWW-Authenticate: Digest` 
   where `qop="auth,auth-int"` rather than mere `qop="auth"`

the connection fails to establish with a "qop 'auth,auth-int' is not supported" error message.

`qop="auth,auth-int" should imho be accepted according to the `qop-options` rule in §3.2.1 of https://www.ietf.org/rfc/rfc2617.txt, given that 'auth' is supported by urllib/request.py
msg357338 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2019-11-22 23:19
New changeset 14a89c47983f2fb9e7fdf33c769e622eefd3a14a by Senthil Kumaran (PypeBros) in branch 'master':
bpo-38686: fix HTTP Digest handling in request.py (#17045)
https://github.com/python/cpython/commit/14a89c47983f2fb9e7fdf33c769e622eefd3a14a
msg357339 - (view) Author: miss-islington (miss-islington) Date: 2019-11-22 23:36
New changeset b9e5547f5814962964c4a5bd5cd36a2af8fbf974 by Miss Islington (bot) in branch '3.8':
bpo-38686: fix HTTP Digest handling in request.py (GH-17045)
https://github.com/python/cpython/commit/b9e5547f5814962964c4a5bd5cd36a2af8fbf974
msg357343 - (view) Author: miss-islington (miss-islington) Date: 2019-11-22 23:38
New changeset 07432c33a0cab9d40ec71b274ec4bca5c57ca6e9 by Miss Islington (bot) in branch '3.7':
bpo-38686: fix HTTP Digest handling in request.py (GH-17045)
https://github.com/python/cpython/commit/07432c33a0cab9d40ec71b274ec4bca5c57ca6e9
History
Date User Action Args
2019-11-22 23:41:58orsenthilsetstatus: open -> closed
type: behavior
resolution: fixed
stage: patch review -> resolved
2019-11-22 23:38:41miss-islingtonsetmessages: + msg357343
2019-11-22 23:36:41miss-islingtonsetnosy: + miss-islington
messages: + msg357339
2019-11-22 23:20:15orsenthilsetversions: + Python 3.7
2019-11-22 23:20:09orsenthilsetversions: + Python 3.9, - Python 2.7, Python 3.7
2019-11-22 23:19:25miss-islingtonsetpull_requests: + pull_request16842
2019-11-22 23:19:20miss-islingtonsetpull_requests: + pull_request16841
2019-11-22 23:19:19orsenthilsetmessages: + msg357338
2019-11-22 23:18:00orsenthilsetversions: + Python 3.8, - Python 3.6
2019-11-13 18:16:34orsenthilsetassignee: orsenthil

nosy: + orsenthil
2019-11-04 15:34:25PypeBrossetkeywords: + patch
stage: patch review
pull_requests: + pull_request16558
2019-11-04 15:27:24PypeBroscreate